<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::binary_search_tree_kernel_1&lt; domain, range, mem_manager, compare &gt;::mpair Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1binary__search__tree__kernel__1.html">binary_search_tree_kernel_1</a></li><li class="navelem"><a class="el" href="classdlib_1_1binary__search__tree__kernel__1_1_1mpair.html">mpair</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1binary__search__tree__kernel__1_1_1mpair-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::binary_search_tree_kernel_1&lt; domain, range, mem_manager, compare &gt;::mpair Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::binary_search_tree_kernel_1&lt; domain, range, mem_manager, compare &gt;::mpair:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1binary__search__tree__kernel__1_1_1mpair.png" usemap="#dlib::binary_5Fsearch_5Ftree_5Fkernel_5F1_3C_20domain_2C_20range_2C_20mem_5Fmanager_2C_20compare_20_3E::mpair_map" alt=""/>
  <map id="dlib::binary_5Fsearch_5Ftree_5Fkernel_5F1_3C_20domain_2C_20range_2C_20mem_5Fmanager_2C_20compare_20_3E::mpair_map" name="dlib::binary_5Fsearch_5Ftree_5Fkernel_5F1_3C_20domain_2C_20range_2C_20mem_5Fmanager_2C_20compare_20_3E::mpair_map">
<area href="classdlib_1_1map__pair.html" alt="dlib::map_pair&lt; domain, range &gt;" shape="rect" coords="0,0,496,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af2007586f0c168dd05f1eaf7051a99d5"><td class="memItemLeft" align="right" valign="top"><a id="af2007586f0c168dd05f1eaf7051a99d5"></a>
const domain &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>key</b> () const</td></tr>
<tr class="separator:af2007586f0c168dd05f1eaf7051a99d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1570e246045b183a280dc8022b3cdab4"><td class="memItemLeft" align="right" valign="top">const range &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1binary__search__tree__kernel__1_1_1mpair.html#a1570e246045b183a280dc8022b3cdab4">value</a> () const</td></tr>
<tr class="separator:a1570e246045b183a280dc8022b3cdab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d5c00000adabb394a19986e53e4d01c"><td class="memItemLeft" align="right" valign="top">range &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1binary__search__tree__kernel__1_1_1mpair.html#a3d5c00000adabb394a19986e53e4d01c">value</a> ()</td></tr>
<tr class="separator:a3d5c00000adabb394a19986e53e4d01c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa9137ccecab24ac8111b6d834ac83afc"><td class="memItemLeft" align="right" valign="top"><a id="aa9137ccecab24ac8111b6d834ac83afc"></a>
const domain *&#160;</td><td class="memItemRight" valign="bottom"><b>d</b></td></tr>
<tr class="separator:aa9137ccecab24ac8111b6d834ac83afc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08daa5f707d07a1d32203de935b0556"><td class="memItemLeft" align="right" valign="top"><a id="ac08daa5f707d07a1d32203de935b0556"></a>
range *&#160;</td><td class="memItemRight" valign="bottom"><b>r</b></td></tr>
<tr class="separator:ac08daa5f707d07a1d32203de935b0556"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classdlib_1_1map__pair"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classdlib_1_1map__pair')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classdlib_1_1map__pair.html">dlib::map_pair&lt; domain, range &gt;</a></td></tr>
<tr class="memitem:ada2f20f5470d352bd34e0e440f7f8df6 inherit pub_types_classdlib_1_1map__pair"><td class="memItemLeft" align="right" valign="top">typedef domain&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1map__pair.html#ada2f20f5470d352bd34e0e440f7f8df6">key_type</a></td></tr>
<tr class="separator:ada2f20f5470d352bd34e0e440f7f8df6 inherit pub_types_classdlib_1_1map__pair"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a252f40a1f36310d27b22725d8503a1e5 inherit pub_types_classdlib_1_1map__pair"><td class="memItemLeft" align="right" valign="top"><a id="a252f40a1f36310d27b22725d8503a1e5"></a>
typedef range&#160;</td><td class="memItemRight" valign="bottom"><b>value_type</b></td></tr>
<tr class="separator:a252f40a1f36310d27b22725d8503a1e5 inherit pub_types_classdlib_1_1map__pair"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1map__pair"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1map__pair')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1map__pair.html">dlib::map_pair&lt; domain, range &gt;</a></td></tr>
<tr class="memitem:a6f7541e5fefe064e8fb02f1cb4a92203 inherit pro_methods_classdlib_1_1map__pair"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1map__pair.html">map_pair</a>&lt; domain, range &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1map__pair.html#a6f7541e5fefe064e8fb02f1cb4a92203">operator=</a> (const <a class="el" href="classdlib_1_1map__pair.html">map_pair</a>&lt; domain, range &gt; &amp;)</td></tr>
<tr class="separator:a6f7541e5fefe064e8fb02f1cb4a92203 inherit pro_methods_classdlib_1_1map__pair"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3d5c00000adabb394a19986e53e4d01c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d5c00000adabb394a19986e53e4d01c">&#9670;&nbsp;</a></span>value() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename domain, typename range, typename mem_manager, typename compare = std::less&lt;domain&gt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">range&amp; <a class="el" href="classdlib_1_1binary__search__tree__kernel__1.html">dlib::binary_search_tree_kernel_1</a>&lt; domain, range, mem_manager, compare &gt;::mpair::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">ensures
    - returns a const reference to the value associated with key
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1map__pair.html#aa0a5ad62463c43ec07b3ef1a5d8f10d3">dlib::map_pair&lt; domain, range &gt;</a>.</p>

</div>
</div>
<a id="a1570e246045b183a280dc8022b3cdab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1570e246045b183a280dc8022b3cdab4">&#9670;&nbsp;</a></span>value() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename domain, typename range, typename mem_manager, typename compare = std::less&lt;domain&gt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const range&amp; <a class="el" href="classdlib_1_1binary__search__tree__kernel__1.html">dlib::binary_search_tree_kernel_1</a>&lt; domain, range, mem_manager, compare &gt;::mpair::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">ensures
    - returns a const reference to the key
</pre><p> ! </p>

<p>Implements <a class="el" href="classdlib_1_1map__pair.html#ab6eb0cf5320ca89de4acb16ed59e5426">dlib::map_pair&lt; domain, range &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="binary__search__tree__kernel__1_8h_source.html">binary_search_tree_kernel_1.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
